Index: issm/trunk/test/Verification/list
===================================================================
--- issm/trunk/test/Verification/list	(revision 2168)
+++ 	(revision )
@@ -1,174 +1,0 @@
-IceSheetNoIceFrontH2d_12/Archive_prognostic_none_0_0_nan_0.mat
-IceSheetNoIceFrontH2d_12/Archive_prognostic_none_0_0_nan_1.mat
-IceSheetNoIceFrontH2d_12/Archive_transient_none_0_0_nan_0.mat
-IceSheetNoIceFrontH2d_12/Archive_transient_none_0_0_nan_1.mat
-IceSheetNoIceFrontH2d_12/Archive_diagnostic_none_0_0_nan_0.mat
-IceSheetNoIceFrontH2d_12/Archive_diagnostic_none_0_0_nan_1.mat
-IceSheetIceFrontM2dDakota_25/Archive_diagnostic_none_1_0_nan_1.mat
-IceSheetIceFrontM2dDakota_25/Archive_diagnostic_none_1_0_nan_0.mat
-IceShelfIceFrontMP3d_3/Archive_thermal_steady_0_0_nan_0.mat
-IceShelfIceFrontMP3d_3/Archive_thermal_steady_0_0_nan_1.mat
-IceShelfIceFrontMP3d_3/Archive_prognostic_none_0_0_nan_0.mat
-IceShelfIceFrontMP3d_3/Archive_prognostic_none_0_0_nan_1.mat
-IceShelfIceFrontMP3d_3/Archive_thermal_transient_0_0_nan_0.mat
-IceShelfIceFrontMP3d_3/Archive_thermal_transient_0_0_nan_1.mat
-IceSheetNoIceFrontH3d_13/Archive_diagnostic_none_0_0_nan_0.mat
-IceSheetNoIceFrontH3d_13/Archive_diagnostic_none_0_0_nan_1.mat
-IceSheetNoIceFrontH3d_13/Archive_thermal_steady_0_0_nan_0.mat
-IceSheetNoIceFrontH3d_13/Archive_thermal_steady_0_0_nan_1.mat
-IceSheetNoIceFrontH3d_13/Archive_prognostic_none_0_0_nan_0.mat
-IceSheetNoIceFrontH3d_13/Archive_prognostic_none_0_0_nan_1.mat
-IceSheetNoIceFrontH3d_13/Archive_thermal_transient_0_0_nan_0.mat
-IceSheetNoIceFrontH3d_13/Archive_thermal_transient_0_0_nan_1.mat
-IceSheetNoIceFrontH3d_13/Archive_transient_none_0_0_nan_0.mat
-IceSheetNoIceFrontH3d_13/Archive_transient_none_0_0_nan_1.mat
-IceSheetNoIceFrontM2d_16/Archive_diagnostic_none_0_0_nan_0.mat
-IceSheetNoIceFrontM2d_16/Archive_diagnostic_none_0_0_nan_1.mat
-IceSheetNoIceFrontM2d_16/Archive_prognostic_none_0_0_nan_0.mat
-IceSheetNoIceFrontM2d_16/Archive_prognostic_none_0_0_nan_1.mat
-IceSheetNoIceFrontM2d_16/Archive_transient_none_0_0_nan_0.mat
-IceSheetNoIceFrontM2d_16/Archive_transient_none_0_0_nan_1.mat
-IceSheetIceFrontP3d_10/Archive_diagnostic_none_0_0_nan_0.mat
-IceSheetIceFrontP3d_10/Archive_diagnostic_none_0_0_nan_1.mat
-IceSheetIceFrontP3d_10/Archive_thermal_steady_0_0_nan_0.mat
-IceSheetIceFrontP3d_10/Archive_thermal_steady_0_0_nan_1.mat
-IceSheetIceFrontP3d_10/Archive_prognostic_none_0_0_nan_0.mat
-IceSheetIceFrontP3d_10/Archive_prognostic_none_0_0_nan_1.mat
-IceSheetIceFrontP3d_10/Archive_thermal_transient_0_0_nan_0.mat
-IceSheetIceFrontP3d_10/Archive_thermal_transient_0_0_nan_1.mat
-IceSheetIceFrontP3d_10/Archive_transient_none_0_0_nan_0.mat
-IceSheetIceFrontP3d_10/Archive_transient_none_0_0_nan_1.mat
-IceSheetNoIceFrontM3d_17/Archive_diagnostic_none_0_0_nan_0.mat
-IceSheetNoIceFrontM3d_17/Archive_diagnostic_none_0_0_nan_1.mat
-IceSheetNoIceFrontM3d_17/Archive_thermal_steady_0_0_nan_0.mat
-IceSheetNoIceFrontM3d_17/Archive_thermal_steady_0_0_nan_1.mat
-IceSheetNoIceFrontM3d_17/Archive_prognostic_none_0_0_nan_0.mat
-IceSheetNoIceFrontM3d_17/Archive_prognostic_none_0_0_nan_1.mat
-IceSheetNoIceFrontM3d_17/Archive_thermal_transient_0_0_nan_0.mat
-IceSheetNoIceFrontM3d_17/Archive_thermal_transient_0_0_nan_1.mat
-IceSheetNoIceFrontM3d_17/Archive_transient_none_0_0_nan_0.mat
-IceSheetNoIceFrontM3d_17/Archive_transient_none_0_0_nan_1.mat
-IceShelfIceFrontM2dRifts_24/Archive_diagnostic_none_0_0_nan_0.mat
-IceShelfIceFrontM2dRifts_24/Archive_diagnostic_none_0_0_nan_1.mat
-IceSheetIceFrontS3d_11/Archive_diagnostic_none_0_0_nan_0.mat
-IceSheetIceFrontS3d_11/Archive_diagnostic_none_0_0_nan_1.mat
-IceSheetIceFrontS3d_11/Archive_thermal_steady_0_0_nan_0.mat
-IceSheetIceFrontS3d_11/Archive_thermal_steady_0_0_nan_1.mat
-IceSheetIceFrontS3d_11/Archive_prognostic_none_0_0_nan_0.mat
-IceSheetIceFrontS3d_11/Archive_prognostic_none_0_0_nan_1.mat
-IceSheetIceFrontS3d_11/Archive_thermal_transient_0_0_nan_0.mat
-IceSheetIceFrontS3d_11/Archive_thermal_transient_0_0_nan_1.mat
-IceSheetNoIceFrontHM2d_14/Archive_transient_none_0_0_nan_0.mat
-IceSheetNoIceFrontHM2d_14/Archive_transient_none_0_0_nan_1.mat
-IceSheetNoIceFrontHM2d_14/Archive_diagnostic_none_0_0_nan_0.mat
-IceSheetNoIceFrontHM2d_14/Archive_diagnostic_none_0_0_nan_1.mat
-IceSheetNoIceFrontHM2d_14/Archive_prognostic_none_0_0_nan_0.mat
-IceSheetNoIceFrontHM2d_14/Archive_prognostic_none_0_0_nan_1.mat
-IceSheetNoIceFrontP3d_18/Archive_transient_none_0_0_nan_0.mat
-IceSheetNoIceFrontP3d_18/Archive_transient_none_0_0_nan_1.mat
-IceSheetNoIceFrontP3d_18/Archive_diagnostic_none_0_0_nan_0.mat
-IceSheetNoIceFrontP3d_18/Archive_diagnostic_none_0_0_nan_1.mat
-IceSheetNoIceFrontP3d_18/Archive_thermal_steady_0_0_nan_0.mat
-IceSheetNoIceFrontP3d_18/Archive_thermal_steady_0_0_nan_1.mat
-IceSheetNoIceFrontP3d_18/Archive_prognostic_none_0_0_nan_0.mat
-IceSheetNoIceFrontP3d_18/Archive_prognostic_none_0_0_nan_1.mat
-IceSheetNoIceFrontP3d_18/Archive_thermal_transient_0_0_nan_0.mat
-IceSheetNoIceFrontP3d_18/Archive_thermal_transient_0_0_nan_1.mat
-IceShelfIceFrontM2d_1/Archive_transient_none_0_0_nan_0.mat
-IceShelfIceFrontM2d_1/Archive_transient_none_0_0_nan_1.mat
-IceShelfIceFrontM2d_1/Archive_diagnostic_none_0_0_nan_0.mat
-IceShelfIceFrontM2d_1/Archive_diagnostic_none_0_0_nan_1.mat
-IceShelfIceFrontM2d_1/Archive_prognostic_none_0_0_nan_0.mat
-IceShelfIceFrontM2d_1/Archive_prognostic_none_0_0_nan_1.mat
-IceSheetIceFrontMP3d_9/Archive_thermal_steady_0_0_nan_0.mat
-IceSheetIceFrontMP3d_9/Archive_thermal_steady_0_0_nan_1.mat
-IceSheetIceFrontMP3d_9/Archive_prognostic_none_0_0_nan_0.mat
-IceSheetIceFrontMP3d_9/Archive_prognostic_none_0_0_nan_1.mat
-IceSheetIceFrontMP3d_9/Archive_thermal_transient_0_0_nan_0.mat
-IceSheetIceFrontMP3d_9/Archive_thermal_transient_0_0_nan_1.mat
-IceSheetNoIceFrontHM3d_15/Archive_thermal_transient_0_0_nan_1.mat
-IceSheetNoIceFrontHM3d_15/Archive_diagnostic_none_0_0_nan_0.mat
-IceSheetNoIceFrontHM3d_15/Archive_diagnostic_none_0_0_nan_1.mat
-IceSheetNoIceFrontHM3d_15/Archive_thermal_steady_0_0_nan_0.mat
-IceSheetNoIceFrontHM3d_15/Archive_thermal_steady_0_0_nan_1.mat
-IceSheetNoIceFrontHM3d_15/Archive_prognostic_none_0_0_nan_0.mat
-IceSheetNoIceFrontHM3d_15/Archive_prognostic_none_0_0_nan_1.mat
-IceSheetNoIceFrontHM3d_15/Archive_thermal_transient_0_0_nan_0.mat
-IceShelfIceFrontM3d_2/Archive_thermal_transient_0_0_nan_1.mat
-IceShelfIceFrontM3d_2/Archive_transient_none_0_0_nan_0.mat
-IceShelfIceFrontM3d_2/Archive_transient_none_0_0_nan_1.mat
-IceShelfIceFrontM3d_2/Archive_diagnostic_none_0_0_nan_0.mat
-IceShelfIceFrontM3d_2/Archive_diagnostic_none_0_0_nan_1.mat
-IceShelfIceFrontM3d_2/Archive_thermal_steady_0_0_nan_0.mat
-IceShelfIceFrontM3d_2/Archive_thermal_steady_0_0_nan_1.mat
-IceShelfIceFrontM3d_2/Archive_prognostic_none_0_0_nan_0.mat
-IceShelfIceFrontM3d_2/Archive_prognostic_none_0_0_nan_1.mat
-IceShelfIceFrontM3d_2/Archive_steadystate_none_0_0_nan_0.mat
-IceShelfIceFrontM3d_2/Archive_steadystate_none_0_0_nan_1.mat
-IceShelfIceFrontM3d_2/Archive_thermal_transient_0_0_nan_0.mat
-IceSheetNoIceFrontS3d_19/Archive_thermal_transient_0_0_nan_0.mat
-IceSheetNoIceFrontS3d_19/Archive_thermal_transient_0_0_nan_1.mat
-IceSheetNoIceFrontS3d_19/Archive_diagnostic_none_0_0_nan_0.mat
-IceSheetNoIceFrontS3d_19/Archive_diagnostic_none_0_0_nan_1.mat
-IceSheetNoIceFrontS3d_19/Archive_thermal_steady_0_0_nan_0.mat
-IceSheetNoIceFrontS3d_19/Archive_thermal_steady_0_0_nan_1.mat
-IceSheetNoIceFrontS3d_19/Archive_prognostic_none_0_0_nan_0.mat
-IceSheetNoIceFrontS3d_19/Archive_prognostic_none_0_0_nan_1.mat
-IceShelfIceFrontMPS3d_4/Archive_thermal_transient_0_0_nan_0.mat
-IceShelfIceFrontMPS3d_4/Archive_thermal_transient_0_0_nan_1.mat
-IceShelfIceFrontMPS3d_4/Archive_thermal_steady_0_0_nan_0.mat
-IceShelfIceFrontMPS3d_4/Archive_thermal_steady_0_0_nan_1.mat
-IceShelfIceFrontMPS3d_4/Archive_prognostic_none_0_0_nan_0.mat
-IceShelfIceFrontMPS3d_4/Archive_prognostic_none_0_0_nan_1.mat
-IceShelfIceFrontP3d_5/Archive_thermal_transient_0_0_nan_0.mat
-IceShelfIceFrontP3d_5/Archive_thermal_transient_0_0_nan_1.mat
-IceShelfIceFrontP3d_5/Archive_transient_none_0_0_nan_0.mat
-IceShelfIceFrontP3d_5/Archive_transient_none_0_0_nan_1.mat
-IceShelfIceFrontP3d_5/Archive_diagnostic_none_0_0_nan_0.mat
-IceShelfIceFrontP3d_5/Archive_diagnostic_none_0_0_nan_1.mat
-IceShelfIceFrontP3d_5/Archive_thermal_steady_0_0_nan_0.mat
-IceShelfIceFrontP3d_5/Archive_thermal_steady_0_0_nan_1.mat
-IceShelfIceFrontP3d_5/Archive_prognostic_none_0_0_nan_0.mat
-IceShelfIceFrontP3d_5/Archive_prognostic_none_0_0_nan_1.mat
-IceShelfIceFrontS3d_6/Archive_steadystate_none_0_0_nan_1.mat
-IceShelfIceFrontS3d_6/Archive_thermal_transient_0_0_nan_0.mat
-IceShelfIceFrontS3d_6/Archive_thermal_transient_0_0_nan_1.mat
-IceShelfIceFrontS3d_6/Archive_diagnostic_none_0_0_nan_0.mat
-IceShelfIceFrontS3d_6/Archive_diagnostic_none_0_0_nan_1.mat
-IceShelfIceFrontS3d_6/Archive_thermal_steady_0_0_nan_0.mat
-IceShelfIceFrontS3d_6/Archive_thermal_steady_0_0_nan_1.mat
-IceShelfIceFrontS3d_6/Archive_prognostic_none_0_0_nan_0.mat
-IceShelfIceFrontS3d_6/Archive_prognostic_none_0_0_nan_1.mat
-IceShelfIceFrontS3d_6/Archive_steadystate_none_0_0_nan_0.mat
-IceSheetIceFrontM2d_7/Archive_transient_none_0_0_nan_0.mat
-IceSheetIceFrontM2d_7/Archive_transient_none_0_0_nan_1.mat
-IceSheetIceFrontM2d_7/Archive_diagnostic_none_0_0_nan_0.mat
-IceSheetIceFrontM2d_7/Archive_diagnostic_none_0_0_nan_1.mat
-IceSheetIceFrontM2d_7/Archive_prognostic_none_0_0_nan_0.mat
-IceSheetIceFrontM2d_7/Archive_prognostic_none_0_0_nan_1.mat
-IceSheetIceFrontM3d_8/Archive_prognostic_none_0_0_nan_1.mat
-IceSheetIceFrontM3d_8/Archive_thermal_transient_0_0_nan_0.mat
-IceSheetIceFrontM3d_8/Archive_thermal_transient_0_0_nan_1.mat
-IceSheetIceFrontM3d_8/Archive_transient_none_0_0_nan_0.mat
-IceSheetIceFrontM3d_8/Archive_transient_none_0_0_nan_1.mat
-IceSheetIceFrontM3d_8/Archive_diagnostic_none_0_0_nan_0.mat
-IceSheetIceFrontM3d_8/Archive_diagnostic_none_0_0_nan_1.mat
-IceSheetIceFrontM3d_8/Archive_thermal_steady_0_0_nan_0.mat
-IceSheetIceFrontM3d_8/Archive_thermal_steady_0_0_nan_1.mat
-IceSheetIceFrontM3d_8/Archive_prognostic_none_0_0_nan_0.mat
-PigControlMethodDragM2d_20/Archive_diagnostic_none_0_1_logarithmic_0.mat
-PigControlMethodDragM2d_20/Archive_diagnostic_none_0_1_logarithmic_1.mat
-PigControlMethodDragM2d_20/Archive_diagnostic_none_0_1_relative_0.mat
-PigControlMethodDragM2d_20/Archive_diagnostic_none_0_1_relative_1.mat
-PigControlMethodDragM2d_20/Archive_diagnostic_none_0_1_absolute_0.mat
-PigControlMethodDragM2d_20/Archive_diagnostic_none_0_1_absolute_1.mat
-PigControlMethodBM2d_21/Archive_diagnostic_none_0_1_logarithmic_0.mat
-PigControlMethodBM2d_21/Archive_diagnostic_none_0_1_logarithmic_1.mat
-PigControlMethodBM2d_21/Archive_diagnostic_none_0_1_relative_0.mat
-PigControlMethodBM2d_21/Archive_diagnostic_none_0_1_relative_1.mat
-PigControlMethodBM2d_21/Archive_diagnostic_none_0_1_absolute_0.mat
-PigControlMethodBM2d_21/Archive_diagnostic_none_0_1_absolute_1.mat
-PigControlMethodDragP3d_22/Archive_diagnostic_none_0_1_absolute_1.mat
-PigControlMethodDragP3d_22/Archive_diagnostic_none_0_1_logarithmic_1.mat
-PigControlMethodDragP3d_22/Archive_diagnostic_none_0_1_relative_1.mat
-PigControlMethodDragS3d_23/Archive_diagnostic_none_0_1_absolute_1.mat