Index: issm/trunk/cron/configs/linux64_larour
===================================================================
--- issm/trunk/cron/configs/linux64_larour	(revision 2190)
+++ issm/trunk/cron/configs/linux64_larour	(revision 2191)
@@ -1,9 +1,9 @@
-#SVN repository
-REPOSITORY="http://s383-rhat/issm/svn/issm/trunk"
+#
+########### Configuration file for a Eric Larour nightly run on Linux ############
 
-#email adress from which the html report will be sent
-EMAIL_ADRESS=eric.larour@jpl.nasa.gov
+#1: ISSM general configuration
+#-----------------------------
 
-#ISSM directory
+#ISSM main directory (full pathto ISSM trunk)
 ISSM_DIR="/u/astrid-r1b/larour/issm/trunk/cron/trunk"
 
@@ -11,25 +11,69 @@
 ISSM_ARCH="linux-gnu-amd64"
 
-#Compile packages? 
-SKIPPACKAGESCOMPILATION=yes
-EXTERNALPACKAGESDIR=/u/astrid-r1b/larour/issm/trunk/externalpackages
-DEVPACKAGESDIR=/u/astrid-r1b/larour/issm/trunk/devpackages
-
 #Operating System
 OS="linux64"
-
-#external pakages to be installed
-EXTERNALPACKAGES="mpich2 petsc metis triangle dakota"
-
-#number of cpus
-NUMCPUS=1
 
 #MATLAB path
 MATLAB_PATH="/usr/local/pkgs/matlab-7.6/"
 
-#execution path
+#2: ISSM Installation
+#--------------------
+
+#ISSM installation. If SKIPINSTALLATION="no" the existing version of the 
+#code will be erased. The new version will be checked out and fully 
+#installed. If SKIPINSTALLATION="yes", the following options won't be
+#used. Go to section 3
+
+SKIPINSTALLATION="no"
+
+#SVN repository
+REPOSITORY="http://s383-rhat/issm/svn/issm/trunk"
+
+#execution path used for parallel runs
 EXECUTION_PATH="/u/wilkes-r1b/larour/Testing/Execution"
 
-#packages to be run
-#PACKAGES="{'macayeal','ice','cielo_serial','cielo_parallel'}"
-PACKAGES="{'cielo_parallel'}"
+#External packages installation. If SKIPPACKAGESCOMPILATION="no" the
+#packages mentionned in EXTERNALPACKAGES will be fully installed which
+#requires a long time. If SKIPPACKAGESCOMPILATION="yes", the external 
+#packages directory will be removed and the directories 
+#EXTERNALPACKAGESDIR and DEVPACKAGESDIR will be copied.
+
+SKIPPACKAGESCOMPILATION="yes"
+EXTERNALPACKAGESDIR="/u/astrid-r1b/larour/issm/trunk/externalpackages"
+DEVPACKAGESDIR="/u/astrid-r1b/larour/issm/trunk/devpackages"
+
+#List of external pakages to be installed
+EXTERNALPACKAGES="mpich2 petsc metis triangle dakota"
+
+#3: ISSM Compilation
+#-------------------
+
+#ISSM compilation. If SKIPCOMPILATION="no" ISSM will be reconfigured
+#and compiled.
+SKIPCOMPILATION="no"
+
+#4: Mail notification
+#--------------------
+
+#Mail delivery. If SKIPMAIL="no", the html nightly run report will be
+#sent to the adresses present in $ISSM_DIR/cron/mailinglist.
+SKIPMAIL="no"
+
+#Sender email address
+EMAIL_ADRESS="eric.larour@jpl.nasa.gov"
+
+#5: Nightly run options
+#----------------------
+
+#number of cpus used in ISSM installation and compilation (one is usually
+#safer as some packages are very sensitive to parallel compilation)
+NUMCPUS_INSTALL=1
+
+#number of cpus used in the nightly runs.
+NUMCPUS_RUN=8
+
+#Nightly run options. The matlab routine nightlyrun.m will be called
+#as follows: nightlyrun($NROPTIONS). The options must be understandable
+#by Matlab and nightlyrun.m
+
+NROPTIONS="'parallel',1"
Index: issm/trunk/cron/configs/linux64_morlighem
===================================================================
--- issm/trunk/cron/configs/linux64_morlighem	(revision 2190)
+++ issm/trunk/cron/configs/linux64_morlighem	(revision 2191)
@@ -1,9 +1,9 @@
-#SVN repository
-REPOSITORY="http://s383-rhat/issm/svn/issm/trunk"
+#
+########### Configuration file for Mathieu Morlighem's nightly run on Linux ############
 
-#email adress from which the html report will be sent
-EMAIL_ADRESS=mathieu.morlighem@jpl.nasa.gov
+#1: ISSM general configuration
+#-----------------------------
 
-#ISSM directory
+#ISSM main directory (full pathto ISSM trunk)
 ISSM_DIR="/u/wilkes-r1b/morlighe/svn/issm/trunk/cron/trunk"
 
@@ -11,25 +11,69 @@
 ISSM_ARCH="linux-gnu-amd64"
 
-#Compile packages? 
-SKIPPACKAGESCOMPILATION=no
-EXTERNALPACKAGESDIR=/u/wilkes-r1b/morlighe/svn/issm/trunk/externalpackages
-DEVPACKAGESDIR=/u/wilkes-r1b/morlighe/svn/issm/trunk/devpackages
-
 #Operating System
 OS="linux64"
-
-#external pakages to be installed
-EXTERNALPACKAGES="mpich2 petsc metis triangle dakota"
-
-#number of cpus
-NUMCPUS=1
 
 #MATLAB path
 MATLAB_PATH="/usr/local/pkgs/matlab-7.6/"
 
-#execution path
+#2: ISSM Installation
+#--------------------
+
+#ISSM installation. If SKIPINSTALLATION="no" the existing version of the 
+#code will be erased. The new version will be checked out and fully 
+#installed. If SKIPINSTALLATION="yes", the following options won't be
+#used. Go to section 3
+
+SKIPINSTALLATION="no"
+
+#SVN repository
+REPOSITORY="http://s383-rhat/issm/svn/issm/trunk"
+
+#execution path used for parallel runs
 EXECUTION_PATH="/u/wilkes-r1b/morlighe/ExecutionNightlyRun"
 
-#packages to be run
-#PACKAGES="{'macayeal','ice','cielo_serial','cielo_parallel'}"
-PACKAGES="{'macayeal','cielo_serial','cielo_parallel'}"
+#External packages installation. If SKIPPACKAGESCOMPILATION="no" the
+#packages mentionned in EXTERNALPACKAGES will be fully installed which
+#requires a long time. If SKIPPACKAGESCOMPILATION="yes", the external 
+#packages directory will be removed and the directories 
+#EXTERNALPACKAGESDIR and DEVPACKAGESDIR will be copied.
+
+SKIPPACKAGESCOMPILATION="no"
+EXTERNALPACKAGESDIR="/u/wilkes-r1b/morlighe/svn/issm/trunk/externalpackages"
+DEVPACKAGESDIR="/u/wilkes-r1b/morlighe/svn/issm/trunk/devpackages"
+
+#List of external pakages to be installed
+EXTERNALPACKAGES="mpich2 petsc metis triangle dakota"
+
+#3: ISSM Compilation
+#-------------------
+
+#ISSM compilation. If SKIPCOMPILATION="no" ISSM will be reconfigured
+#and compiled.
+SKIPCOMPILATION="no"
+
+#4: Mail notification
+#--------------------
+
+#Mail delivery. If SKIPMAIL="no", the html nightly run report will be
+#sent to the adresses present in $ISSM_DIR/cron/mailinglist.
+SKIPMAIL="no"
+
+#Sender email address
+EMAIL_ADRESS="mathieu.morlighem@jpl.nasa.gov"
+
+#5: Nightly run options
+#----------------------
+
+#number of cpus used in ISSM installation and compilation (one is usually
+#safer as some packages are very sensitive to parallel compilation)
+NUMCPUS_INSTALL=1
+
+#number of cpus used in the nightly runs.
+NUMCPUS_RUN=5
+
+#Nightly run options. The matlab routine nightlyrun.m will be called
+#as follows: nightlyrun($NROPTIONS). The options must be understandable
+#by Matlab and nightlyrun.m
+
+NROPTIONS=""
Index: issm/trunk/cron/configs/linux64_seroussi
===================================================================
--- issm/trunk/cron/configs/linux64_seroussi	(revision 2190)
+++ issm/trunk/cron/configs/linux64_seroussi	(revision 2191)
@@ -1,9 +1,9 @@
-#SVN repository
-REPOSITORY="http://s383-rhat/issm/svn/issm/trunk"
+#
+########### Configuration file for Helene Seroussi's nightly run on Linux ############
 
-#email adress from which the html report will be sent
-EMAIL_ADRESS=helene.seroussi@jpl.nasa.gov
+#1: ISSM general configuration
+#-----------------------------
 
-#ISSM directory
+#ISSM main directory (full pathto ISSM trunk)
 ISSM_DIR="/u/wilkes-r1b/seroussi/svn/issm/trunk/cron/trunk"
 
@@ -11,24 +11,69 @@
 ISSM_ARCH="linux-gnu-amd64"
 
-#Compile packages? 
-SKIPPACKAGESCOMPILATION=no
-EXTERNALPACKAGESDIR=/u/wilkes-r1b/seroussi/svn/issm/trunk/externalpackages
-DEVPACKAGESDIR=/u/wilkes-r1b/seroussi/svn/issm/trunk/devpackages
-
 #Operating System
 OS="linux64"
-
-#external pakages to be installed
-EXTERNALPACKAGES="mpich2 petsc metis triangle"
-
-#number of cpus
-NUMCPUS=1
 
 #MATLAB path
 MATLAB_PATH="/usr/local/pkgs/matlab-7.6/"
 
-#execution path
+#2: ISSM Installation
+#--------------------
+
+#ISSM installation. If SKIPINSTALLATION="no" the existing version of the 
+#code will be erased. The new version will be checked out and fully 
+#installed. If SKIPINSTALLATION="yes", the following options won't be
+#used. Go to section 3
+
+SKIPINSTALLATION="no"
+
+#SVN repository
+REPOSITORY="http://s383-rhat/issm/svn/issm/trunk"
+
+#execution path used for parallel runs
 EXECUTION_PATH="/u/wilkes-r1b/seroussi/ExecutionNightlyRun"
 
-#packages to be run
-PACKAGES="{'macayeal','ice'}"
+#External packages installation. If SKIPPACKAGESCOMPILATION="no" the
+#packages mentionned in EXTERNALPACKAGES will be fully installed which
+#requires a long time. If SKIPPACKAGESCOMPILATION="yes", the external 
+#packages directory will be removed and the directories 
+#EXTERNALPACKAGESDIR and DEVPACKAGESDIR will be copied.
+
+SKIPPACKAGESCOMPILATION="no"
+EXTERNALPACKAGESDIR="/u/wilkes-r1b/seroussi/svn/issm/trunk/externalpackages"
+DEVPACKAGESDIR="/u/wilkes-r1b/seroussi/svn/issm/trunk/devpackages"
+
+#List of external pakages to be installed
+EXTERNALPACKAGES="mpich2 petsc metis triangle dakota"
+
+#3: ISSM Compilation
+#-------------------
+
+#ISSM compilation. If SKIPCOMPILATION="no" ISSM will be reconfigured
+#and compiled.
+SKIPCOMPILATION="no"
+
+#4: Mail notification
+#--------------------
+
+#Mail delivery. If SKIPMAIL="no", the html nightly run report will be
+#sent to the adresses present in $ISSM_DIR/cron/mailinglist.
+SKIPMAIL="no"
+
+#Sender email address
+EMAIL_ADRESS="helene.seroussi@jpl.nasa.gov"
+
+#5: Nightly run options
+#----------------------
+
+#number of cpus used in ISSM installation and compilation (one is usually
+#safer as some packages are very sensitive to parallel compilation)
+NUMCPUS_INSTALL=1
+
+#number of cpus used in the nightly runs.
+NUMCPUS_RUN=8
+
+#Nightly run options. The matlab routine nightlyrun.m will be called
+#as follows: nightlyrun($NROPTIONS). The options must be understandable
+#by Matlab and nightlyrun.m
+
+NROPTIONS=""
Index: issm/trunk/cron/configs/macosx32_local
===================================================================
--- issm/trunk/cron/configs/macosx32_local	(revision 2191)
+++ issm/trunk/cron/configs/macosx32_local	(revision 2191)
@@ -0,0 +1,79 @@
+#
+########### Configuration file for a local nightly run on Mac ############
+
+#1: ISSM general configuration
+#-----------------------------
+
+#ISSM main directory (full pathto ISSM trunk)
+ISSM_DIR=$ISSM_DIR
+
+#ISSM Architecture
+ISSM_ARCH=$ISSM_ARCH
+
+#Operating System
+OS="macosx32"
+
+#MATLAB path
+MATLAB_PATH="/Applications/MATLAB_R2009a.app/"
+
+#2: ISSM Installation
+#--------------------
+
+#ISSM installation. If SKIPINSTALLATION="no" the existing version of the 
+#code will be erased. The new version will be checked out and fully 
+#installed. If SKIPINSTALLATION="yes", the following options won't be
+#used. Go to section 3
+
+SKIPINSTALLATION="yes"
+
+#SVN repository
+REPOSITORY="http://s383-rhat/issm/svn/issm/trunk"
+
+#execution path used for parallel runs
+EXECUTION_PATH=""
+
+#External packages installation. If SKIPPACKAGESCOMPILATION="no" the
+#packages mentionned in EXTERNALPACKAGES will be fully installed which
+#requires a long time. If SKIPPACKAGESCOMPILATION="yes", the external 
+#packages directory will be removed and the directories 
+#EXTERNALPACKAGESDIR and DEVPACKAGESDIR will be copied.
+
+SKIPPACKAGESCOMPILATION="yes"
+EXTERNALPACKAGESDIR=""
+DEVPACKAGESDIR=""
+
+#List of external pakages to be installed
+EXTERNALPACKAGES=""
+
+#3: ISSM Compilation
+#-------------------
+
+#ISSM compilation. If SKIPCOMPILATION="no" ISSM will be reconfigured
+#and compiled.
+SKIPCOMPILATION="yes"
+
+#4: Mail notification
+#--------------------
+
+#Mail delivery. If SKIPMAIL="no", the html nightly run report will be
+#sent to the adresses present in $ISSM_DIR/cron/mailinglist.
+SKIPMAIL="yes"
+
+#Sender email address
+EMAIL_ADRESS=mathieu.morlighem@jpl.nasa.gov
+
+#5: Nightly run options
+#----------------------
+
+#number of cpus used in ISSM installation and compilation (one is usually
+#safer as some packages are very sensitive to parallel compilation)
+NUMCPUS_INSTALL=1
+
+#number of cpus used in the nightly runs.
+NUMCPUS_RUN=1
+
+#Nightly run options. The matlab routine nightlyrun.m will be called
+#as follows: nightlyrun($NROPTIONS). The options must be understandable
+#by Matlab and nightlyrun.m
+
+NROPTIONS="'parallel',0"
Index: issm/trunk/cron/configs/macosx32_morlighem
===================================================================
--- issm/trunk/cron/configs/macosx32_morlighem	(revision 2190)
+++ issm/trunk/cron/configs/macosx32_morlighem	(revision 2191)
@@ -1,9 +1,9 @@
-#SVN repository
-REPOSITORY="http://s383-rhat/issm/svn/issm/trunk"
+#
+########### Configuration file for Mathieu Morlighem nightly run on MAC ############
 
-#email adress from which the html report will be sent
-EMAIL_ADRESS=helene.seroussi@jpl.nasa.gov
+#1: ISSM general configuration
+#-----------------------------
 
-#ISSM directory
+#ISSM main directory (full pathto ISSM trunk)
 ISSM_DIR="/Users/morlighe/Desktop/Glaciology/svn/issm/trunk/cron/trunk"
 
@@ -14,21 +14,66 @@
 OS="macosx32"
 
-#Compile packages? 
-SKIPPACKAGESCOMPILATION=no
-EXTERNALPACKAGESDIR=/cygdrive/c/home/externalpackages
-DEVPACKAGESDIR=/cygdrive/c/home/devpackages
-
-#external pakages to be installed
-EXTERNALPACKAGES="mpich2 petsc metis triangle"
-
-#number of cpus
-NUMCPUS=1
-
 #MATLAB path
 MATLAB_PATH="/Applications/MATLAB_R2009a.app/"
 
-#execution path
+#2: ISSM Installation
+#--------------------
+
+#ISSM installation. If SKIPINSTALLATION="no" the existing version of the 
+#code will be erased. The new version will be checked out and fully 
+#installed. If SKIPINSTALLATION="yes", the following options won't be
+#used. Go to section 3
+
+SKIPINSTALLATION="no"
+
+#SVN repository
+REPOSITORY="http://s383-rhat/issm/svn/issm/trunk"
+
+#execution path used for parallel runs
 EXECUTION_PATH=""
 
-#packages to be run
-PACKAGES="{'macayeal','cielo_parallel'}"
+#External packages installation. If SKIPPACKAGESCOMPILATION="no" the
+#packages mentionned in EXTERNALPACKAGES will be fully installed which
+#requires a long time. If SKIPPACKAGESCOMPILATION="yes", the external 
+#packages directory will be removed and the directories 
+#EXTERNALPACKAGESDIR and DEVPACKAGESDIR will be copied.
+
+SKIPPACKAGESCOMPILATION="no"
+EXTERNALPACKAGESDIR=""
+DEVPACKAGESDIR=""
+
+#List of external pakages to be installed
+EXTERNALPACKAGES="mpich2 petsc metis triangle dakota"
+
+#3: ISSM Compilation
+#-------------------
+
+#ISSM compilation. If SKIPCOMPILATION="no" ISSM will be reconfigured
+#and compiled.
+SKIPCOMPILATION="no"
+
+#4: Mail notification
+#--------------------
+
+#Mail delivery. If SKIPMAIL="no", the html nightly run report will be
+#sent to the adresses present in $ISSM_DIR/cron/mailinglist.
+SKIPMAIL="no"
+
+#Sender email address
+EMAIL_ADRESS="mathieu.morlighem@jpl.nasa.gov"
+
+#5: Nightly run options
+#----------------------
+
+#number of cpus used in ISSM installation and compilation (one is usually
+#safer as some packages are very sensitive to parallel compilation)
+NUMCPUS_INSTALL=1
+
+#number of cpus used in the nightly runs.
+NUMCPUS_RUN=2
+
+#Nightly run options. The matlab routine nightlyrun.m will be called
+#as follows: nightlyrun($NROPTIONS). The options must be understandable
+#by Matlab and nightlyrun.m
+
+NROPTIONS="'parallel',0"
Index: issm/trunk/cron/configs/macosx32_seroussi
===================================================================
--- issm/trunk/cron/configs/macosx32_seroussi	(revision 2190)
+++ issm/trunk/cron/configs/macosx32_seroussi	(revision 2191)
@@ -1,9 +1,9 @@
-#SVN repository
-REPOSITORY="http://s383-rhat/issm/svn/issm/trunk"
+#
+########### Configuration file for Helene Seroussi's nightly run on MAC ############
 
-#email adress from which the html report will be sent
-EMAIL_ADRESS=helene.seroussi@jpl.nasa.gov
+#1: ISSM general configuration
+#-----------------------------
 
-#ISSM directory
+#ISSM main directory (full pathto ISSM trunk)
 ISSM_DIR="/Users/seroussi/Desktop/backup/svn/issm/trunk/cron/trunk"
 
@@ -14,21 +14,66 @@
 OS="macosx32"
 
-#Compile packages? 
-SKIPPACKAGESCOMPILATION=yes
-EXTERNALPACKAGESDIR=/u/wilkes-r1b/seroussi/svn/issm/trunk/externalpackages
-DEVPACKAGESDIR=/u/wilkes-r1b/seroussi/svn/issm/trunk/devpackages
-
-#external pakages to be installed
-EXTERNALPACKAGES="mpich2 petsc metis triangle"
-
-#number of cpus
-NUMCPUS=1
-
 #MATLAB path
 MATLAB_PATH="/Applications/MATLAB_R2009a.app/"
 
-#execution path
+#2: ISSM Installation
+#--------------------
+
+#ISSM installation. If SKIPINSTALLATION="no" the existing version of the 
+#code will be erased. The new version will be checked out and fully 
+#installed. If SKIPINSTALLATION="yes", the following options won't be
+#used. Go to section 3
+
+SKIPINSTALLATION="no"
+
+#SVN repository
+REPOSITORY="http://s383-rhat/issm/svn/issm/trunk"
+
+#execution path used for parallel runs
 EXECUTION_PATH=""
 
-#packages to be run
-PACKAGES="{'macayeal','cielo_serial'}"
+#External packages installation. If SKIPPACKAGESCOMPILATION="no" the
+#packages mentionned in EXTERNALPACKAGES will be fully installed which
+#requires a long time. If SKIPPACKAGESCOMPILATION="yes", the external 
+#packages directory will be removed and the directories 
+#EXTERNALPACKAGESDIR and DEVPACKAGESDIR will be copied.
+
+SKIPPACKAGESCOMPILATION="no"
+EXTERNALPACKAGESDIR=""
+DEVPACKAGESDIR=""
+
+#List of external pakages to be installed
+EXTERNALPACKAGES=""
+
+#3: ISSM Compilation
+#-------------------
+
+#ISSM compilation. If SKIPCOMPILATION="no" ISSM will be reconfigured
+#and compiled.
+SKIPCOMPILATION="no"
+
+#4: Mail notification
+#--------------------
+
+#Mail delivery. If SKIPMAIL="no", the html nightly run report will be
+#sent to the adresses present in $ISSM_DIR/cron/mailinglist.
+SKIPMAIL="no"
+
+#Sender email address
+EMAIL_ADRESS="helene.seroussi@jpl.nasa.gov"
+
+#5: Nightly run options
+#----------------------
+
+#number of cpus used in ISSM installation and compilation (one is usually
+#safer as some packages are very sensitive to parallel compilation)
+NUMCPUS_INSTALL=1
+
+#number of cpus used in the nightly runs.
+NUMCPUS_RUN=1
+
+#Nightly run options. The matlab routine nightlyrun.m will be called
+#as follows: nightlyrun($NROPTIONS). The options must be understandable
+#by Matlab and nightlyrun.m
+
+NROPTIONS="'parallel',0"
Index: issm/trunk/cron/configs/winxp32_larour
===================================================================
--- issm/trunk/cron/configs/winxp32_larour	(revision 2190)
+++ issm/trunk/cron/configs/winxp32_larour	(revision 2191)
@@ -1,9 +1,9 @@
-#SVN repository
-REPOSITORY="http://s383-rhat/issm/svn/issm/trunk"
+#
+########### Configuration file for Eric Larour's nightly run on Windows ############
 
-#email adress to send Cron report
-EMAIL_ADRESS="eric.larour@jpl.nasa.gov"
+#1: ISSM general configuration
+#-----------------------------
 
-#ISSM directory
+#ISSM main directory (full pathto ISSM trunk)
 ISSM_DIR="C:/home/issm/trunk/cron/trunk"
 
@@ -14,22 +14,66 @@
 OS="winxp32"
 
-#Compile packages? 
-SKIPPACKAGESCOMPILATION=yes
-EXTERNALPACKAGESDIR=/cygdrive/c/home/externalpackages
-DEVPACKAGESDIR=/cygdrive/c/home/devpackages
-
-#external pakages to be installed
-EXTERNALPACKAGES="petsc metis triangle"
-
-#number of cpus
-NUMCPUS=1
-
 #MATLAB path
 MATLAB_PATH="C:/MATLAB/R2009a/"
 
-#execution path
+#2: ISSM Installation
+#--------------------
+
+#ISSM installation. If SKIPINSTALLATION="no" the existing version of the 
+#code will be erased. The new version will be checked out and fully 
+#installed. If SKIPINSTALLATION="yes", the following options won't be
+#used. Go to section 3
+
+SKIPINSTALLATION="no"
+
+#SVN repository
+REPOSITORY="http://s383-rhat/issm/svn/issm/trunk"
+
+#execution path used for parallel runs
 EXECUTION_PATH=""
 
-#packages to be run
-#PACKAGES="{'macayeal','ice','cielo_serial','cielo_parallel'}"
-PACKAGES="{'cielo_serial'}"
+#External packages installation. If SKIPPACKAGESCOMPILATION="no" the
+#packages mentionned in EXTERNALPACKAGES will be fully installed which
+#requires a long time. If SKIPPACKAGESCOMPILATION="yes", the external 
+#packages directory will be removed and the directories 
+#EXTERNALPACKAGESDIR and DEVPACKAGESDIR will be copied.
+
+SKIPPACKAGESCOMPILATION="yes"
+EXTERNALPACKAGESDIR="/cygdrive/c/home/externalpackages"
+DEVPACKAGESDIR="/cygdrive/c/home/devpackages"
+
+#List of external pakages to be installed
+EXTERNALPACKAGES="petsc metis triangle dakota"
+
+#3: ISSM Compilation
+#-------------------
+
+#ISSM compilation. If SKIPCOMPILATION="no" ISSM will be reconfigured
+#and compiled.
+SKIPCOMPILATION="no"
+
+#4: Mail notification
+#--------------------
+
+#Mail delivery. If SKIPMAIL="no", the html nightly run report will be
+#sent to the adresses present in $ISSM_DIR/cron/mailinglist.
+SKIPMAIL="no"
+
+#Sender email address
+EMAIL_ADRESS="eric.larour@jpl.nasa.gov"
+
+#5: Nightly run options
+#----------------------
+
+#number of cpus used in ISSM installation and compilation (one is usually
+#safer as some packages are very sensitive to parallel compilation)
+NUMCPUS_INSTALL=1
+
+#number of cpus used in the nightly runs.
+NUMCPUS_RUN=1
+
+#Nightly run options. The matlab routine nightlyrun.m will be called
+#as follows: nightlyrun($NROPTIONS). The options must be understandable
+#by Matlab and nightlyrun.m
+
+NROPTIONS="'parallel',0"