Index: issm/trunk/src/m/classes/public/extrude.m
===================================================================
--- issm/trunk/src/m/classes/public/extrude.m	(revision 2306)
+++ issm/trunk/src/m/classes/public/extrude.m	(revision 2307)
@@ -137,4 +137,7 @@
 md.vy_obs=project3d(md,md.vy_obs,'node');
 md.vel_obs=project3d(md,md.vel_obs,'node');
+md.vx_bal=project3d(md,md.vx_bal,'node');
+md.vy_bal=project3d(md,md.vy_bal,'node');
+md.vel_bal=project3d(md,md.vel_bal,'node');
 md.vel_obs_raw=project3d(md,md.vel_obs_raw,'node');
 md.accumulation=project3d(md,md.accumulation,'node');
Index: issm/trunk/src/m/classes/public/ismodelselfconsistent.m
===================================================================
--- issm/trunk/src/m/classes/public/ismodelselfconsistent.m	(revision 2306)
+++ issm/trunk/src/m/classes/public/ismodelselfconsistent.m	(revision 2307)
@@ -171,4 +171,10 @@
 if ~isscalar(md.artificial_diffusivity),
 	disp('artificial_diffusivity should be a scalar (1 or 0)');
+	bool=0;return;
+end
+
+%PARAMETEROUTPUT
+if md.numoutput~=length(md.parameteroutput),
+	disp('numoutput should be the same size as parameteroutput');
 	bool=0;return;
 end
Index: issm/trunk/src/m/classes/public/marshall.m
===================================================================
--- issm/trunk/src/m/classes/public/marshall.m	(revision 2306)
+++ issm/trunk/src/m/classes/public/marshall.m	(revision 2307)
@@ -151,4 +151,13 @@
 WriteData(fid,md.riftinfo,'Mat','riftinfo');
 
+%parameter output.
+md.numoutput=length(md.parameteroutput);
+WriteData(fid,md.numoutput,'Integer','numoutput');
+if(md.numoutput),
+	for i=1:md.numoutput,
+		WriteData(fid,md.parameteroutput{i},'String',['parameteroutput_' num2str(i-1)]);
+	end
+end
+
 %Qmu: the rest will be handle by qmumarshall
 WriteData(fid,md.qmu_analysis,'Integer','qmu_analysis');
Index: issm/trunk/src/m/classes/public/plot/applyoptions.m
===================================================================
--- issm/trunk/src/m/classes/public/plot/applyoptions.m	(revision 2306)
+++ issm/trunk/src/m/classes/public/plot/applyoptions.m	(revision 2307)
@@ -71,7 +71,7 @@
 end
 
-%Antzoom
-if ~isnan(options_structure.antzoom),                                                                                                                         
-	antzoom(options_structure.antzoom);                                                                                                                           
+%Basinzoom
+if ~isnan(options_structure.basinzoom),                                                                                                                         
+	basinzoom(options_structure.basinzoom);                                                                                                                           
 end
 
Index: issm/trunk/src/m/classes/public/plot/parse_options.m
===================================================================
--- issm/trunk/src/m/classes/public/plot/parse_options.m	(revision 2306)
+++ issm/trunk/src/m/classes/public/plot/parse_options.m	(revision 2307)
@@ -118,10 +118,10 @@
 
 
-%Antzoom
-antzoomvalues=findarg(optionstring,'antzoom');
-if ~isempty(antzoomvalues),
-	options_struct.antzoom=antzoomvalues(1).value;
-else
-	options_struct.antzoom=NaN;
+%Basinzoom
+basinzoomvalues=findarg(optionstring,'basinzoom');
+if ~isempty(basinzoomvalues),
+	options_struct.basinzoom=basinzoomvalues(1).value;
+else
+	options_struct.basinzoom=NaN;
 end
 
Index: issm/trunk/src/m/classes/public/plot/plotdoc.m
===================================================================
--- issm/trunk/src/m/classes/public/plot/plotdoc.m	(revision 2306)
+++ issm/trunk/src/m/classes/public/plot/plotdoc.m	(revision 2307)
@@ -49,5 +49,5 @@
 
 disp('       ''axis'': same as standard matlab option (''equal'',''off'',''equal on'',...)');
-disp('       ''antzoom'': zoom on a given Antarctic basin (''pineislandglacier'',''ronneiceshelf'', type antzoom for a complete list)');
+disp('       ''basinzoom'': zoom on a given basin (''pineislandglacier'',''ronneiceshelf'', type basinzoom for a complete list)');
 disp('       ''caxis'': modify  colorbar range. (array of type [a b] where b>=a)');
 disp('       ''colorlevels'':  N or {value1,valu2,value3,...} used if quiver, use different colors for the given number of colors or limits');