Index: issm/trunk/test/Verification/test01_IceShelfIceFrontM2d/Square.par
===================================================================
--- issm/trunk/test/Verification/test01_IceShelfIceFrontM2d/Square.par	(revision 2330)
+++ issm/trunk/test/Verification/test01_IceShelfIceFrontM2d/Square.par	(revision 2331)
@@ -2,5 +2,5 @@
 
 %dynamics
-md.debug=0;
+md.verbose=2;
 md.dt=1; %1 year
 md.ndt=md.dt*10; 
Index: issm/trunk/test/Verification/test02_IceShelfIceFrontM3d/Square.par
===================================================================
--- issm/trunk/test/Verification/test02_IceShelfIceFrontM3d/Square.par	(revision 2330)
+++ issm/trunk/test/Verification/test02_IceShelfIceFrontM3d/Square.par	(revision 2331)
@@ -2,5 +2,5 @@
 
 %dynamics
-md.debug=0;
+md.verbose=0;
 md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
Index: issm/trunk/test/Verification/test03_IceShelfIceFrontMP3d/Square.par
===================================================================
--- issm/trunk/test/Verification/test03_IceShelfIceFrontMP3d/Square.par	(revision 2330)
+++ issm/trunk/test/Verification/test03_IceShelfIceFrontMP3d/Square.par	(revision 2331)
@@ -2,5 +2,5 @@
 
 %dynamics
-md.debug=0;
+md.verbose=0;
 md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
Index: issm/trunk/test/Verification/test04_IceShelfIceFrontMPS3d/Square.par
===================================================================
--- issm/trunk/test/Verification/test04_IceShelfIceFrontMPS3d/Square.par	(revision 2330)
+++ issm/trunk/test/Verification/test04_IceShelfIceFrontMPS3d/Square.par	(revision 2331)
@@ -2,5 +2,5 @@
 
 %dynamics
-md.debug=0;
+md.verbose=0;
 md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
Index: issm/trunk/test/Verification/test05_IceShelfIceFrontP3d/Square.par
===================================================================
--- issm/trunk/test/Verification/test05_IceShelfIceFrontP3d/Square.par	(revision 2330)
+++ issm/trunk/test/Verification/test05_IceShelfIceFrontP3d/Square.par	(revision 2331)
@@ -2,5 +2,5 @@
 
 %dynamics
-md.debug=0;
+md.verbose=0;
 md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
Index: issm/trunk/test/Verification/test06_IceShelfIceFrontS3d/Square.par
===================================================================
--- issm/trunk/test/Verification/test06_IceShelfIceFrontS3d/Square.par	(revision 2330)
+++ issm/trunk/test/Verification/test06_IceShelfIceFrontS3d/Square.par	(revision 2331)
@@ -2,5 +2,5 @@
 
 %dynamics
-md.debug=0;
+md.verbose=0;
 md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
Index: issm/trunk/test/Verification/test07_IceSheetIceFrontM2d/Square.par
===================================================================
--- issm/trunk/test/Verification/test07_IceSheetIceFrontM2d/Square.par	(revision 2330)
+++ issm/trunk/test/Verification/test07_IceSheetIceFrontM2d/Square.par	(revision 2331)
@@ -2,5 +2,5 @@
 
 %dynamics
-md.debug=0;
+md.verbose=0;
 md.dt=1; %1 year
 md.ndt=md.dt*10; 
Index: issm/trunk/test/Verification/test08_IceSheetIceFrontM3d/Square.par
===================================================================
--- issm/trunk/test/Verification/test08_IceSheetIceFrontM3d/Square.par	(revision 2330)
+++ issm/trunk/test/Verification/test08_IceSheetIceFrontM3d/Square.par	(revision 2331)
@@ -2,5 +2,5 @@
 
 %dynamics
-md.debug=0;
+md.verbose=0;
 md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
Index: issm/trunk/test/Verification/test09_IceSheetIceFrontMP3d/Square.par
===================================================================
--- issm/trunk/test/Verification/test09_IceSheetIceFrontMP3d/Square.par	(revision 2330)
+++ issm/trunk/test/Verification/test09_IceSheetIceFrontMP3d/Square.par	(revision 2331)
@@ -2,5 +2,5 @@
 
 %dynamics
-md.debug=0;
+md.verbose=0;
 md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
Index: issm/trunk/test/Verification/test10_IceSheetIceFrontP3d/Square.par
===================================================================
--- issm/trunk/test/Verification/test10_IceSheetIceFrontP3d/Square.par	(revision 2330)
+++ issm/trunk/test/Verification/test10_IceSheetIceFrontP3d/Square.par	(revision 2331)
@@ -2,5 +2,5 @@
 
 %dynamics
-md.debug=0;
+md.verbose=0;
 md.dt=0.01; %1 year
 md.ndt=md.dt*3; 
Index: issm/trunk/test/Verification/test11_IceSheetIceFrontS3d/Square.par
===================================================================
--- issm/trunk/test/Verification/test11_IceSheetIceFrontS3d/Square.par	(revision 2330)
+++ issm/trunk/test/Verification/test11_IceSheetIceFrontS3d/Square.par	(revision 2331)
@@ -2,5 +2,5 @@
 
 %dynamics
-md.debug=0;
+md.verbose=0;
 md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
Index: issm/trunk/test/Verification/test12_IceSheetNoIceFrontH2d/Square.par
===================================================================
--- issm/trunk/test/Verification/test12_IceSheetNoIceFrontH2d/Square.par	(revision 2330)
+++ issm/trunk/test/Verification/test12_IceSheetNoIceFrontH2d/Square.par	(revision 2331)
@@ -2,5 +2,5 @@
 
 %dynamics
-md.debug=0;
+md.verbose=0;
 md.dt=1; %1 year
 md.ndt=md.dt*10; 
Index: issm/trunk/test/Verification/test13_IceSheetNoIceFrontH3d/Square.par
===================================================================
--- issm/trunk/test/Verification/test13_IceSheetNoIceFrontH3d/Square.par	(revision 2330)
+++ issm/trunk/test/Verification/test13_IceSheetNoIceFrontH3d/Square.par	(revision 2331)
@@ -2,5 +2,5 @@
 
 %dynamics
-md.debug=0;
+md.verbose=0;
 md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
Index: issm/trunk/test/Verification/test14_IceSheetNoIceFrontHM2d/Square.par
===================================================================
--- issm/trunk/test/Verification/test14_IceSheetNoIceFrontHM2d/Square.par	(revision 2330)
+++ issm/trunk/test/Verification/test14_IceSheetNoIceFrontHM2d/Square.par	(revision 2331)
@@ -2,5 +2,5 @@
 
 %dynamics
-md.debug=0;
+md.verbose=0;
 md.dt=1; %1 year
 md.ndt=md.dt*10; 
Index: issm/trunk/test/Verification/test15_IceSheetNoIceFrontHM3d/Square.par
===================================================================
--- issm/trunk/test/Verification/test15_IceSheetNoIceFrontHM3d/Square.par	(revision 2330)
+++ issm/trunk/test/Verification/test15_IceSheetNoIceFrontHM3d/Square.par	(revision 2331)
@@ -2,5 +2,5 @@
 
 %dynamics
-md.debug=0;
+md.verbose=0;
 md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
Index: issm/trunk/test/Verification/test16_IceSheetNoIceFrontM2d/Square.par
===================================================================
--- issm/trunk/test/Verification/test16_IceSheetNoIceFrontM2d/Square.par	(revision 2330)
+++ issm/trunk/test/Verification/test16_IceSheetNoIceFrontM2d/Square.par	(revision 2331)
@@ -2,5 +2,5 @@
 
 %dynamics
-md.debug=0;
+md.verbose=0;
 md.dt=1; %1 year
 md.ndt=md.dt*10; 
Index: issm/trunk/test/Verification/test17_IceSheetNoIceFrontM3d/Square.par
===================================================================
--- issm/trunk/test/Verification/test17_IceSheetNoIceFrontM3d/Square.par	(revision 2330)
+++ issm/trunk/test/Verification/test17_IceSheetNoIceFrontM3d/Square.par	(revision 2331)
@@ -2,5 +2,5 @@
 
 %dynamics
-md.debug=0;
+md.verbose=0;
 md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
Index: issm/trunk/test/Verification/test18_IceSheetNoIceFrontP3d/Square.par
===================================================================
--- issm/trunk/test/Verification/test18_IceSheetNoIceFrontP3d/Square.par	(revision 2330)
+++ issm/trunk/test/Verification/test18_IceSheetNoIceFrontP3d/Square.par	(revision 2331)
@@ -2,5 +2,5 @@
 
 %dynamics
-md.debug=0;
+md.verbose=0;
 md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
Index: issm/trunk/test/Verification/test19_IceSheetNoIceFrontS3d/Square.par
===================================================================
--- issm/trunk/test/Verification/test19_IceSheetNoIceFrontS3d/Square.par	(revision 2330)
+++ issm/trunk/test/Verification/test19_IceSheetNoIceFrontS3d/Square.par	(revision 2331)
@@ -2,5 +2,5 @@
 
 %dynamics
-md.debug=0;
+md.verbose=0;
 md.dt=0.1; %1 year
 md.ndt=md.dt*3; 
Index: issm/trunk/test/Verification/test20_PigControlMethodDragM2d/Pig.par
===================================================================
--- issm/trunk/test/Verification/test20_PigControlMethodDragM2d/Pig.par	(revision 2330)
+++ issm/trunk/test/Verification/test20_PigControlMethodDragM2d/Pig.par	(revision 2331)
@@ -38,5 +38,5 @@
 
 %Misc
-md.debug=0;
+md.verbose=0;
 md.plot=0;
 md.eps_abs=NaN;
Index: issm/trunk/test/Verification/test21_PigControlMethodBM2d/Pig.par
===================================================================
--- issm/trunk/test/Verification/test21_PigControlMethodBM2d/Pig.par	(revision 2330)
+++ issm/trunk/test/Verification/test21_PigControlMethodBM2d/Pig.par	(revision 2331)
@@ -38,5 +38,5 @@
 
 %Misc
-md.debug=0;
+md.verbose=0;
 md.plot=0;
 md.eps_abs=NaN;
Index: issm/trunk/test/Verification/test22_PigControlMethodDragP3d/Pig.par
===================================================================
--- issm/trunk/test/Verification/test22_PigControlMethodDragP3d/Pig.par	(revision 2330)
+++ issm/trunk/test/Verification/test22_PigControlMethodDragP3d/Pig.par	(revision 2331)
@@ -38,5 +38,5 @@
 
 %Misc
-md.debug=0;
+md.verbose=0;
 md.plot=0;
 md.eps_abs=NaN;
@@ -52,4 +52,4 @@
 md.maxiter=10*ones(md.nsteps,1);
 md.cm_jump=0.3*ones(md.nsteps,1);
-md.debug=0;
+md.verbose=0;
 md.stabilize_constraints=5;
Index: issm/trunk/test/Verification/test23_PigControlMethodDragS3d/Pig.par
===================================================================
--- issm/trunk/test/Verification/test23_PigControlMethodDragS3d/Pig.par	(revision 2330)
+++ issm/trunk/test/Verification/test23_PigControlMethodDragS3d/Pig.par	(revision 2331)
@@ -41,5 +41,5 @@
 
 %Misc
-md.debug=0;
+md.verbose=0;
 md.plot=0;
 md.eps_abs=NaN;
Index: issm/trunk/test/Verification/test24_IceShelfIceFrontM2dRifts/Square.par
===================================================================
--- issm/trunk/test/Verification/test24_IceShelfIceFrontM2dRifts/Square.par	(revision 2330)
+++ issm/trunk/test/Verification/test24_IceShelfIceFrontM2dRifts/Square.par	(revision 2331)
@@ -2,5 +2,5 @@
 
 %dynamics
-md.debug=0;
+md.verbose=0;
 md.dt=1*md.yts; %1 year
 md.ndt=md.dt*10; 
Index: issm/trunk/test/Verification/test25_IceSheetIceFrontM2dDakota/Square.par
===================================================================
--- issm/trunk/test/Verification/test25_IceSheetIceFrontM2dDakota/Square.par	(revision 2330)
+++ issm/trunk/test/Verification/test25_IceSheetIceFrontM2dDakota/Square.par	(revision 2331)
@@ -2,5 +2,5 @@
 
 %dynamics
-md.debug=0;
+md.verbose=0;
 md.dt=1; %1 year
 md.ndt=md.dt*10; 