Index: issm/trunk/src/m/classes/public/ismodelselfconsistent.m
===================================================================
--- issm/trunk/src/m/classes/public/ismodelselfconsistent.m	(revision 2365)
+++ issm/trunk/src/m/classes/public/ismodelselfconsistent.m	(revision 2366)
@@ -5,5 +5,5 @@
 %      ismodelselfconsistent(md),
 
-%tolerance we use in litmus tests for the consistency of the model
+%tolerance we use in litmus checks for the consistency of the model
 tolerance=10^-12;
 
@@ -71,8 +71,8 @@
 if strcmpi(md.type,'2d'),
 	fields={'pressureload'};
-	testsize(md,fields,[NaN 3]);
+	checksize(md,fields,[NaN 3]);
 elseif strcmpi(md.type,'3d'),
 	fields={'pressureload'};
-	testsize(md,fields,[NaN 5]);
+	checksize(md,fields,[NaN 5]);
 end
 
@@ -81,5 +81,5 @@
 	'rho_ice','rho_water','B','elementoniceshelf','surface','thickness','bed','g','lowmem','sparsity','nsteps','maxiter',...
 	'tolx','np','eps_res','exclusive','n','gridonbed','gridonsurface','elementonbed','elementonsurface','deltaH','DeltaH','timeacc','timedec'};
-testnan(md,fields);
+checknan(md,fields);
 
 %FIELDS >= 0 
@@ -87,5 +87,5 @@
 	'rho_ice','rho_water','B','elementoniceshelf','thickness','g','eps_res','eps_rel','eps_abs','nsteps','maxiter','tolx','exclusive',...
 	'sparsity','lowmem','n','gridonbed','gridonsurface','elementonbed','elementonsurface','deltaH','DeltaH','timeacc','timedec'};
-testgreater(md,fields,0);
+checkgreater(md,fields,0);
 
 %FIELDS > 0
@@ -93,13 +93,13 @@
 	'rho_ice','rho_water','B','thickness','g','eps_res','eps_rel','eps_abs','maxiter','tolx',...
 	'sparsity','deltaH','DeltaH','timeacc','timedec'};
-testgreaterstrict(md,fields,0);
+checkgreaterstrict(md,fields,0);
 
 %SIZE NUMBEROFELEMENTS
 fields={'elements','p','q','elementoniceshelf','n','elementonbed'};
-testlength(md,fields,md.numberofelements);
+checklength(md,fields,md.numberofelements);
 
 %SIZE NUMBEROFGRIDS
 fields={'x','y','z','B','drag','spcvelocity','melting','accumulation','surface','thickness','bed','gridonbed','gridonsurface'};
-testlength(md,fields,md.numberofgrids);
+checklength(md,fields,md.numberofgrids);
 
 %THICKNESS = SURFACE - BED
@@ -155,9 +155,9 @@
 	%NAN VALUES
 	fields={'time','np'};
-	testnan(md,fields);
+	checknan(md,fields);
 
 	%FIELD > 0
 	fields={'time','np'};
-	testgreaterstrict(md,fields,0);
+	checkgreaterstrict(md,fields,0);
 
 end
@@ -221,6 +221,6 @@
 	%INITIAL VELOCITIES
 	fields={'vx','vy'};
-	testsize(md,fields,[md.numberofgrids 1]);
-	testnan(md,fields);
+	checksize(md,fields,[md.numberofgrids 1]);
+	checknan(md,fields);
 
 end
@@ -260,6 +260,6 @@
 	%VELOCITIES AND PRESSURE
 	fields={'vx','vy','vz','pressure'};
-	testsize(md,fields,[md.numberofgrids 1]);
-	testnan(md,fields);
+	checksize(md,fields,[md.numberofgrids 1]);
+	checknan(md,fields);
 
 end
@@ -270,9 +270,9 @@
 	%DT and NDT
 	fields={'dt','ndt'};
-	testgreaterstrict(md,fields,0);
+	checkgreaterstrict(md,fields,0);
 
 	%INITIAL TEMPERATURE, MELTING AND ACCUMULATION
 	fields={'temperature','accumulation','melting'};
-	testsize(md,fields,[md.numberofgrids 1]);
+	checksize(md,fields,[md.numberofgrids 1]);
 
 end
@@ -288,5 +288,5 @@
 	%LENGTH CONTROL FIELDS
 	fields={'maxiter','optscal','fit','cm_jump'};
-	testlength(md,fields,md.nsteps);
+	checklength(md,fields,md.nsteps);
 
 	%FIT
@@ -297,6 +297,6 @@
 	%OBSERVED VELOCITIES
 	fields={'vx_obs','vy_obs'};
-	testsize(md,fields,[md.numberofgrids 1]);
-	testnan(md,fields);
+	checksize(md,fields,[md.numberofgrids 1]);
+	checknan(md,fields);
 
 	%DIRICHLET IF THICKNESS <= 0
@@ -320,8 +320,8 @@
 end %end function
 
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% TEST FUNCTIONS %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
-function testlength(md,fields,fieldlength)
-	%TESTSIZE - test length of a field
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% CHECK FUNCTIONS %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
+function checklength(md,fields,fieldlength)
+	%CHECKSIZE - check length of a field
 	for i=1:length(fields),
 		if length(eval(['md.' fields{i}]))~=fieldlength,
@@ -331,6 +331,6 @@
 end
 
-function testsize(md,fields,fieldsize)
-	%TESTSIZE - test size of a field
+function checksize(md,fields,fieldsize)
+	%CHECKSIZE - check size of a field
 	for i=1:length(fields),
 		if isnan(fieldsize(1)),
@@ -350,6 +350,6 @@
 end
 
-function testnan(md,fields)
-	%TESTNAN - test nan values of a field
+function checknan(md,fields)
+	%CHECKNAN - check nan values of a field
 	for i=1:length(fields),
 		if any(isnan(eval(['md.' fields{i}]))),
@@ -359,6 +359,6 @@
 end
 
-function testreal(md,fields)
-	%TESTREAL - test real values of a field
+function checkreal(md,fields)
+	%CHECKREAL - check real values of a field
 	for i=1:length(fields),
 		if any(eval(['~isreal(md.' fields{i} ')'])),
@@ -368,6 +368,6 @@
 end
 
-function testgreaterstrict(md,fields,lowerbound)
-	%TESTGREATERSTRICT - test values of a field
+function checkgreaterstrict(md,fields,lowerbound)
+	%CHECKGREATERSTRICT - check values of a field
 	for i=1:length(fields),
 		if any(eval(['md.' fields{i} '<=' num2str(lowerbound) ])),
@@ -377,6 +377,6 @@
 end
 
-function testgreater(md,fields,lowerbound)
-	%TESTGREATER - test values of a field
+function checkgreater(md,fields,lowerbound)
+	%CHECKGREATER - check values of a field
 	for i=1:length(fields),
 		if any(eval(['md.' fields{i} '<' num2str(lowerbound) ])),
@@ -386,6 +386,6 @@
 end
 
-function testlessstrict(md,fields,upperbound)
-	%TESTLESSSTRICT - test values of a field
+function checklessstrict(md,fields,upperbound)
+	%CHECKLESSSTRICT - check values of a field
 	for i=1:length(fields),
 		if any(eval(['md.' fields{i} '>=' num2str(upperbound) ])),
@@ -395,6 +395,6 @@
 end
 
-function testless(md,fields,upperbound)
-	%TESTLESS - test values of a field
+function checkless(md,fields,upperbound)
+	%CHECKLESS - check values of a field
 	for i=1:length(fields),
 		if any(eval(['md.' fields{i} '>' num2str(upperbound) ])),