Index: issm/trunk/src/m/classes/public/plot/plot_riftfraction.m
===================================================================
--- issm/trunk/src/m/classes/public/plot/plot_riftfraction.m	(revision 2694)
+++ issm/trunk/src/m/classes/public/plot/plot_riftfraction.m	(revision 2695)
@@ -1,4 +1,4 @@
 function plot_riftfraction(md,options,width,i);
-%PLOT_RIFTRELVEL - plot rift fractions
+%PLOT_RIFTFRACTION - plot rift fractions
 %
 %   Usage:
@@ -7,17 +7,13 @@
 %   See also: PLOTMODEL
 
+%process data and model
+[x y z elements is2d]=processmesh(md,options);
+
+subplot(width,width,i); 
+hold on
+
 %plot mesh boundaries
-subplot(width,width,i); 
-
-%units
-if exist(options,'unit'),
-	unit=getfieldvalue(options,'unit');
-	md.x=md.x*unit;
-	md.y=md.y*unit;
-	md.z=md.z*unit;
-end
-
 for i=1:size(md.segments,1),
-	h1=plot(md.x(md.segments(i,1:2)),md.y(md.segments(i,1:2)),'k.-');hold on;
+	h1=plot(x(md.segments(i,1:2)),y(md.segments(i,1:2)),'k.-');
 end
 
@@ -38,13 +34,14 @@
 for i=1:length(md.rifts), 
 	segments=md.rifts(i).segments(:,1:2)';
-	xc=md.x(segments(:));
-	yc=md.y(segments(:));
+	xc=x(segments(:));
+	yc=y(segments(:));
 	zc=fractions(segments(:));
 	h2=patch('Xdata',xc,'Ydata',yc,'Zdata',zc,'Cdata',zc,'facecolor','none','edgecolor','flat');
 end
 legend([h1,h2],'mesh boundaries','rifts')
+hold off
 
 %apply options
-options=addfielddefault(options,'title','Rift relative velocities');
+options=addfielddefault(options,'title','Rift ice/water fraction ???????'); %Eric, could you enter a better title?
 options=addfielddefault(options,'colorbar',0);
 applyoptions(md,[],options);
Index: issm/trunk/src/m/classes/public/plot/plot_riftpenetration.m
===================================================================
--- issm/trunk/src/m/classes/public/plot/plot_riftpenetration.m	(revision 2694)
+++ issm/trunk/src/m/classes/public/plot/plot_riftpenetration.m	(revision 2695)
@@ -7,20 +7,14 @@
 %   See also: PLOTMODEL
 
+%process data and model
+[x y z elements is2d]=processmesh(md,options);
+
+subplot(width,width,i); 
+hold on
+
 %plot mesh boundaries
-subplot(width,width,i); 
-
-%units
-if exist(options,'unit'),
-	unit=getfieldvalue(options,'unit');
-	md.x=md.x*unit;
-	md.y=md.y*unit;
-	md.z=md.z*unit;
+for i=1:size(md.segments,1),
+	plot(x(md.segments(i,1:2)),y(md.segments(i,1:2)),'k.-');
 end
-
-for i=1:size(md.segments,1),
-	plot(md.x(md.segments(i,1:2)),md.y(md.segments(i,1:2)),'k.-');hold on;
-end
-
-hold on;
 
 isp1=0;
@@ -30,5 +24,5 @@
 	%plot mesh boundaries
 	for i=1:size(md.segments,1),
-		h1=plot(md.x(md.segments(i,1:2)),md.y(md.segments(i,1:2)),'b-');
+		h1=plot(x(md.segments(i,1:2)),y(md.segments(i,1:2)),'b-');
 	end
 	for i=1:size(md.rifts,1),
@@ -37,5 +31,5 @@
 		segments=md.rifts(i).segments;
 		for j=1:size(segments,1),
-			plot(md.x(segments(j,1:2)),md.y(segments(j,1:2)),'b-');
+			plot(x(segments(j,1:2)),y(segments(j,1:2)),'b-');
 		end
 
@@ -52,8 +46,8 @@
 			%if penetration is negative, plot in black, positive, plot in red;: ie: if rift is closing, black, if rift is opening, red.
 			if(penetration>0),
-				p2=plot(md.x(penaltypairs(j,1)) ,md.y(penaltypairs(j,1)),'r*');
+				p2=plot(x(penaltypairs(j,1)) ,y(penaltypairs(j,1)),'r*');
 				isp2=1;
 			else
-				p1=plot(md.x(penaltypairs(j,1)) ,md.y(penaltypairs(j,1)),'k*');
+				p1=plot(x(penaltypairs(j,1)) ,y(penaltypairs(j,1)),'k*');
 				isp1=1;
 			end
@@ -61,6 +55,6 @@
 
 		%point out the tips
-		h2=plot(md.x(md.rifts(i).tips(1)),md.y(md.rifts(i).tips(1)),'g*');
-		plot(md.x(md.rifts(i).tips(2)),md.y(md.rifts(i).tips(2)),'g*');
+		h2=plot(x(md.rifts(i).tips(1)),y(md.rifts(i).tips(1)),'g*');
+		plot(x(md.rifts(i).tips(2)),y(md.rifts(i).tips(2)),'g*');
 	end
 	if isp1 & isp2
@@ -76,4 +70,5 @@
 	error('plot error message: no rifts available!');
 end
+hold off
 
 %apply options
Index: issm/trunk/src/m/classes/public/plot/plot_riftrelvel.m
===================================================================
--- issm/trunk/src/m/classes/public/plot/plot_riftrelvel.m	(revision 2694)
+++ issm/trunk/src/m/classes/public/plot/plot_riftrelvel.m	(revision 2695)
@@ -7,22 +7,16 @@
 %   See also: PLOTMODEL
 
+%process data and model
+[x y z elements is2d]=processmesh(md,options);
+
+subplot(width,width,i); 
+hold on
+
 %plot mesh boundaries
-subplot(width,width,i); 
-
-%units
-if exist(options,'unit'),
-	unit=getfieldvalue(options,'unit');
-	md.x=md.x*unit;
-	md.y=md.y*unit;
-	md.z=md.z*unit;
-end
-
 for i=1:size(md.segments,1),
-	plot(md.x(md.segments(i,1:2)),md.y(md.segments(i,1:2)),'k.-');hold on;
+	plot(x(md.segments(i,1:2)),y(md.segments(i,1:2)),'k.-');
 end
 
 %plot rift velocities
-hold on;
-
 isp1=0;
 isp2=0;
@@ -31,5 +25,5 @@
 	%plot mesh boundaries
 	for i=1:size(md.segments,1),
-		h1=plot(md.x(md.segments(i,1:2)),md.y(md.segments(i,1:2)),'b-');
+		h1=plot(x(md.segments(i,1:2)),y(md.segments(i,1:2)),'b-');
 	end
 	for i=1:size(md.rifts,1),
@@ -38,5 +32,5 @@
 		segments=md.rifts(i).segments;
 		for j=1:size(segments,1),
-			plot(md.x(segments(j,1:2)),md.y(segments(j,1:2)),'b-');
+			plot(x(segments(j,1:2)),y(segments(j,1:2)),'b-');
 		end
 
@@ -50,8 +44,8 @@
 			%if penetration is negative, plot in black, positive, plot in red;: ie: if rift is closing, black, if rift is opening, red.
 			if(penetration>0),
-				p2=plot(md.x(penaltypairs(j,1)) ,md.y(penaltypairs(j,1)),'r*');
+				p2=plot(x(penaltypairs(j,1)) ,y(penaltypairs(j,1)),'r*');
 				isp2=1;
 			else
-				p1=plot(md.x(penaltypairs(j,1)) ,md.y(penaltypairs(j,1)),'k*');
+				p1=plot(x(penaltypairs(j,1)) ,y(penaltypairs(j,1)),'k*');
 				isp1=1;
 			end
@@ -59,9 +53,9 @@
 
 		%point out the tips
-		h2=plot(md.x(md.rifts(i).tips(1)),md.y(md.rifts(i).tips(1)),'g*');
-		plot(md.x(md.rifts(i).tips(2)),md.y(md.rifts(i).tips(2)),'g*');
+		h2=plot(x(md.rifts(i).tips(1)),y(md.rifts(i).tips(1)),'g*');
+		plot(x(md.rifts(i).tips(2)),y(md.rifts(i).tips(2)),'g*');
 
 		%plot relative velocities
-		h=quiver(md.x(penaltypairs(:,1)),md.y(penaltypairs(:,1)),md.vx(penaltypairs(:,2))-md.vx(penaltypairs(:,1)),md.vy(penaltypairs(:,2))-md.vy(penaltypairs(:,1)));
+		h=quiver(x(penaltypairs(:,1)),y(penaltypairs(:,1)),md.vx(penaltypairs(:,2))-md.vx(penaltypairs(:,1)),md.vy(penaltypairs(:,2))-md.vy(penaltypairs(:,1)));
 		set(h,'Color',[0 1 0]);
 	end
@@ -78,4 +72,5 @@
 	error('plot error message: no rifts available!');
 end
+hold off
 
 %apply options
Index: issm/trunk/src/m/classes/public/plot/plot_rifts.m
===================================================================
--- issm/trunk/src/m/classes/public/plot/plot_rifts.m	(revision 2694)
+++ issm/trunk/src/m/classes/public/plot/plot_rifts.m	(revision 2695)
@@ -1,4 +1,4 @@
 function plot_rifts(md,options,width,i);
-%PLOT_RIFTVEL - plot rifts in a mesh
+%PLOT_RIFTS - plot rifts in a mesh
 %
 %   Usage:
@@ -7,30 +7,12 @@
 %   See also: PLOTMODEL
 
-%plot mesh boundaries
+%process data and model
+[x y z elements is2d]=processmesh(md,options);
+
+%plot mesh
 subplot(width,width,i); 
 
-%units
-if exist(options,'unit'),
-	unit=getfieldvalue(options,'unit');
-	md.x=md.x*unit;
-	md.y=md.y*unit;
-	md.z=md.z*unit;
-end
-
-if exist(options,'offset'),
-	offset=getfieldvalue(options,'offset');
-else
-	offset=500;
-end
-
-
-%plot rifts
-hold on;
-
-isp1=0;
-isp2=0;
-			
 %offset to separate rift flanks.
-
+offset=getfieldvalue(options,'offset',500);
 if isstruct(md.rifts),
 	
@@ -42,15 +24,9 @@
 			normal(1)=penaltypairs(j,5);
 			normal(2)=penaltypairs(j,6);
-			md.x(penaltypairs(j,1))=md.x(penaltypairs(j,1))-normal(1)*offset;
-			md.y(penaltypairs(j,1))=md.y(penaltypairs(j,1))-normal(2)*offset;
+			x(penaltypairs(j,1))=x(penaltypairs(j,1))-normal(1)*offset;
+			y(penaltypairs(j,1))=y(penaltypairs(j,1))-normal(2)*offset;
 		end
 	end
 end
-
-%process data and model
-[x y z elements is2d]=processmesh(md,options);
-
-%plot mesh
-subplot(width,width,i); 
 
 %plot mesh
@@ -67,5 +43,4 @@
 end
 
-
 %apply options
 options=addfielddefault(options,'title','Rifts');
Index: issm/trunk/src/m/classes/public/plot/plot_riftvel.m
===================================================================
--- issm/trunk/src/m/classes/public/plot/plot_riftvel.m	(revision 2694)
+++ issm/trunk/src/m/classes/public/plot/plot_riftvel.m	(revision 2695)
@@ -7,22 +7,16 @@
 %   See also: PLOTMODEL
 
+%process data and model
+[x y z elements is2d]=processmesh(md,options);
+
+subplot(width,width,i); 
+hold on
+
 %plot mesh boundaries
-subplot(width,width,i); 
-
-%units
-if exist(options,'unit'),
-	unit=getfieldvalue(options,'unit');
-	md.x=md.x*unit;
-	md.y=md.y*unit;
-	md.z=md.z*unit;
-end
-
 for i=1:size(md.segments,1),
-	plot(md.x(md.segments(i,1:2)),md.y(md.segments(i,1:2)),'k.-');hold on;
+	plot(x(md.segments(i,1:2)),y(md.segments(i,1:2)),'k.-');
 end
 
 %plot rift velocities
-hold on;
-
 isp1=0;
 isp2=0;
@@ -31,5 +25,5 @@
 	%plot mesh boundaries
 	for i=1:size(md.segments,1),
-		h1=plot(md.x(md.segments(i,1:2)),md.y(md.segments(i,1:2)),'b-');
+		h1=plot(x(md.segments(i,1:2)),y(md.segments(i,1:2)),'b-');
 	end
 	for i=1:size(md.rifts,1),
@@ -38,5 +32,5 @@
 		segments=md.rifts(i).segments;
 		for j=1:size(segments,1),
-			plot(md.x(segments(j,1:2)),md.y(segments(j,1:2)),'b-');
+			plot(x(segments(j,1:2)),y(segments(j,1:2)),'b-');
 		end
 
@@ -50,8 +44,8 @@
 			%if penetration is negative, plot in black, positive, plot in red;: ie: if rift is closing, black, if rift is opening, red.
 			if(penetration>0),
-				p2=plot(md.x(penaltypairs(j,1)) ,md.y(penaltypairs(j,1)),'r*');
+				p2=plot(x(penaltypairs(j,1)) ,y(penaltypairs(j,1)),'r*');
 				isp2=1;
 			else
-				p1=plot(md.x(penaltypairs(j,1)) ,md.y(penaltypairs(j,1)),'k*');
+				p1=plot(x(penaltypairs(j,1)) ,y(penaltypairs(j,1)),'k*');
 				isp1=1;
 			end
@@ -59,8 +53,8 @@
 
 		%point out the tips
-		h2=plot(md.x(md.rifts(i).tips(1)),md.y(md.rifts(i).tips(1)),'g*');
-		plot(md.x(md.rifts(i).tips(2)),md.y(md.rifts(i).tips(2)),'g*');
+		h2=plot(x(md.rifts(i).tips(1)),y(md.rifts(i).tips(1)),'g*');
+		plot(x(md.rifts(i).tips(2)),y(md.rifts(i).tips(2)),'g*');
 		segments=md.rifts(i).segments(:,1:2);
-		h3=quiver(md.x(segments),md.y(segments),md.vx(segments),md.vy(segments));
+		h3=quiver(x(segments),y(segments),md.vx(segments),md.vy(segments));
 		set(h3,'Color',[1 0 0]);
 	end
@@ -77,4 +71,5 @@
 	error('plot error message: no rifts available!');
 end
+hold off
 
 %apply options
Index: issm/trunk/src/m/classes/public/plot/plotdoc.m
===================================================================
--- issm/trunk/src/m/classes/public/plot/plotdoc.m	(revision 2694)
+++ issm/trunk/src/m/classes/public/plot/plotdoc.m	(revision 2695)
@@ -30,4 +30,5 @@
 disp('                  - ''riftpenetration'': penetration levels for a fault');
 disp('                  - ''riftfraction'': fill fractions for every node of the rifts');
+disp('                  - ''rifts'': plot mesh with an offset so that rifts are visible');
 disp('                  - ''strainrate_tensor'': plot the components of the strainrate tensor (exx,eyy,ezz,exy,exz,eyz) if computed');
 disp('                  - ''strainrate_principal'': plot the strainrate tensor principal axis and principal values)');